#ifndef BILLYSHEET_MENU_DATA_HPP
#define BILLYSHEET_MENU_DATA_HPP

#include <filesystem>

namespace fs = std::filesystem;

namespace character {
	class CharacterSheet;
}

namespace gui::menu {
	class MenuData final {
	private:
		friend class Menu;

		const character::CharacterSheet &character_sheet;

		fs::path save_path{ "./" };

		std::string filename{ "character_sheet.json" };

		bool edit_mode{ true };
	public:
		MenuData() noexcept = delete;

		explicit MenuData(const character::CharacterSheet &characterSheet) noexcept: character_sheet(characterSheet) {}

		~MenuData() noexcept = default;

		[[nodiscard]] bool is_edit_mode() const { return edit_mode; }
	};
}


#endif //BILLYSHEET_MENU_DATA_HPP
